@font-face {
    font-family: 'Fira Sans';
    src: url('../fonts/FiraSans-Bold.woff2') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Fira Sans';
    src: url('../fonts/FiraSans-Medium.woff2') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Fira Sans';
    src: url('../fonts/FiraSans-Regular.woff2') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Fira Sans';
    src: url('../fonts/FiraSans-SemiBold.woff2') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}


*,
*::before,
*::after {
    box-sizing: border-box;
    font-family: 'Fira Sans'
}

html {
    font-size: 15px;
}

@media (min-width: 38em) {
    html {
        font-size: 14px;
    }
}

@media (min-width: 52em) {
    html {
        font-size: 15px;
    }
}

@media (min-width: 72em) {
    html {
        font-size: 16px;
    }
}

.usbc-holder {
    box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);
    background-color: rgba(255, 255, 255, .8)
}

.btn-usbc {
    background-color: #c62828;
    border: 1px solid rgba(255, 255, 255, .6);
    font-size: 1.312rem;
    position: relative;
}

.btn-usbc:hover {
    border: 1px solid rgba(255, 255, 255, .8) !important;
}

.btn-usbc:hover,
.btn-usbc:active,
.btn-usbc:focus {
    background-color: #b02424;
    border: 1px solid #b02424;
}

.btn-text {
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    padding: 0 7.5px;
}

.btn-text {
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    padding: 0 7.5px;
}

.tournament-bracket {
    display: flex;
    flex-direction: column;
}

.usbc-modal-header {
    background-color: #c62828;
}

.usbc-modal-header .modal-title {
    color: #ffffff;
    font-weight: 800;

}


@media (min-width: 46em) {
    .tournament-bracket {
        flex-direction: row;
    }
}

.tournament-bracket__round {
    display: block;
    margin-left: -3px;
    flex: 1;
}

.tournament-bracket__round-title {
    font-size: 1.6rem;
    font-weight: 600;
    text-align: center;
    margin-bottom: 0.5em;
    color: #c62828;
}

.tournament-bracket__list {
    display: flex;
    flex-direction: column;
    flex-flow: row wrap;
    justify-content: center;
    height: 100%;
    min-height: 100%;
    padding-bottom: 2em;
    margin-bottom: 2em;
    transition: padding 0.2s ease-in-out, margin 0.2s ease-in-out;
}


@media (max-width: 24em) {
    .tournament-bracket__list {
        padding-bottom: 1em;
        margin-bottom: 1em;
    }
}

@media (min-width: 38em) {
    .tournament-bracket__list {
        margin-bottom: 0;
        padding-bottom: 0;
        border-bottom: 0;
    }
}

.tournament-bracket__round:last-child .tournament-bracket__list {
    border: 0;
}

.tournament-bracket__item {
    display: flex;
    flex: 0 1 auto;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    padding: 2% 0;
    width: 48%;
    transition: padding 0.2s linear;
}

.tournament-bracket__item:nth-child(odd) {
    margin-right: 2%;
}

.tournament-bracket__item:nth-child(even) {
    margin-left: 2%;
}

.tournament-bracket__item::after {
    transition: width 0.2s linear;
}

@media (max-width: 36.56em) {
    .tournament-bracket__item {
        width: 100%;
    }

    .tournament-bracket__item:nth-child(odd),
    .tournament-bracket__item:nth-child(even) {
        margin-left: 0;
        margin-right: 0;
    }
}

@media (min-width: 38em) {
    .tournament-bracket__item {
        padding: 0.5em 1em;
        width: 100%;
    }

    .tournament-bracket__item:nth-child(odd),
    .tournament-bracket__item:nth-child(even) {
        margin: 0;
    }

    .tournament-bracket__item::after {
        position: absolute;
        right: 0px;
        content: '';
        display: block;
        width: 1em;
        height: 45%;
        border-right: 2px solid #9e9e9e;
    }

    .tournament-bracket__item:nth-child(odd)::after {
        top: 50%;
        border-top: 2px solid #9e9e9e;
        transform: translateY(-1px);
    }

    .tournament-bracket--rounded .tournament-bracket__item:nth-child(odd)::after {
        border-top-right-radius: 0.6em;
    }

    .tournament-bracket__item:nth-child(even)::after {
        bottom: 50%;
        border-bottom: 2px solid #9e9e9e;
        transform: translateY(1px);
    }

    .tournament-bracket--rounded .tournament-bracket__item:nth-child(even)::after {
        border-bottom-right-radius: 0.6em;
    }

    .tournament-bracket__round:first-child .tournament-bracket__item {
        padding-left: 0;
    }

    .tournament-bracket__round:last-child .tournament-bracket__item {
        padding-right: 0;
    }

    .tournament-bracket__round:last-child .tournament-bracket__item::after {
        display: none;
    }

}

@media (min-width: 72em) {
    .tournament-bracket__item {
        padding: 0.5em 1.5em;
    }

    .tournament-bracket__item::after {
        width: 1.5em;
    }
}

.tournament-bracket__match {
    display: flex;
    width: 100%;
    background-color: #ffffff;
    outline: none;
    transition: padding 0.2s ease-in-out, border 0.2s linear;
}

.tournament-bracket__match:focus {
    border-color: #2196F3;
}

.tournament-bracket__match::before,
.tournament-bracket__match::after {
    transition: all 0.2s linear;
}

@media (max-width: 24em) {
    .tournament-bracket__match {
        padding: 0.75em 0.5em;
    }
}

@media (min-width: 38em) {

    .tournament-bracket__match::before,
    .tournament-bracket__match::after {
        position: absolute;
        left: 0;
        z-index: 1;
        content: '';
        display: block;
        width: 1em;
        height: 10%;
        border-left: 2px solid #9e9e9e;
    }

    .tournament-bracket__match::before {
        bottom: 50%;
        border-bottom: 2px solid #9e9e9e;
        transform: translate(0, 1px);
    }

    .tournament-bracket--rounded .tournament-bracket__match::before {
        border-bottom-left-radius: 0.6em;
    }

    .tournament-bracket__match::after {
        top: 50%;
        border-top: 2px solid #9e9e9e;
        transform: translate(0, -1px);
    }

    .tournament-bracket--rounded .tournament-bracket__match::after {
        border-top-left-radius: 0.6em;
    }
}

@media (max-width: 72em) {

    .tournament-bracket__match::before,
    .tournament-bracket__match::after {
        position: absolute;
        left: 1px !important;
        z-index: 1;
        content: '';
        display: block;
        width: 1em;
        height: 10%;
    }

    .tournament-bracket__item::after {
        position: absolute;
        right: 0px !important;
        content: '';
        display: block;
        width: 1em;
        height: 45%;
    }
}

@media (min-width: 72em) {

    .tournament-bracket__match::before,
    .tournament-bracket__match::after {
        width: 1.5em;
    }

    .tournament-bracket__match::before {
        transform: translate(1px, 1px);
    }

    .tournament-bracket__match::after {
        transform: translate(1px, -1px);
    }
}

.tournament-bracket__round:first-child .tournament-bracket__match::before,
.tournament-bracket__round:first-child .tournament-bracket__match::after {
    display: none;
}

.tournament-bracket__content {
    display: flex;
}

.tournament-bracket__content::after {
    content: ':';
    width: 1em;
    text-align: center;
    padding: 0.2em 0.1em;
}

@media (min-width: 38em) {
    .tournament-bracket__content::after {
        order: 1;
    }
}

.table {
    font-size: 16px;
    font-weight: 500;
    font-variant-numeric: tabular-nums;

}

thead,
tfoot {
    border-color: transparent !important
}

thead tr th {
    border: 0;
    padding-left: 5px !important;
    font-size: 16px;
}

tfoot tr th {
    border-bottom-right-radius: 15px;
    border: 0;
    padding-left: 5px !important;
    font-size: 16px;
}

tbody {
    background-color: #ffffff;

}

tbody tr th {
    font-weight: 800;
}

.num {
    display: inline-block;
    border-radius: 50%;
    border: 2px solid #c62828;
    color: #000;
    font-size: 12px;
    font-weight: 800;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 28px;
    vertical-align: middle;
}

.name {
    vertical-align: middle;
}

.default-winner {
    background-color: #f1f1f1;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23) !important;
}

.mt-custom {
    margin-top: -10px;
}

.mt-custom-3 {
    margin-top: 128px;
}

.mt-custom-double {
    margin-top: 243px;
}

.mt-custom-4 {
    margin-top: 90px;
}

@media(max-width: 46em) {

    .mt-custom,
    .mt-custom-double,
    .mt-custom-3,
    .mt-custom-4 {
        margin-top: unset;
    }
}

.total {
    position: absolute;
    right: 24px;
    display: inline-block;
    border-radius: 35px;
    border: 2px solid #000000;
    color: #000000;
    font-size: 16px;
    font-weight: 800;
    width: 55px;
    height: 30px;
    text-align: center;
    line-height: 28px;
    vertical-align: middle;
}

.tournament-bracket__item.final .total, .r-0 {
    right: 0 !important;
}

.total-winner {
    background-color: #4bb543;
    color: #ffffff;
    border-color: #4bb543
}

.equal {
    font-size: 12px;
}

tbody tr td a {
    color: #000;
    text-decoration: none;
    transition: text-decoration ease-in-out .3s;
}

tbody td,
tbody td:empty {
    min-width: 25px;
    min-height: 25px;
    padding: 15px;
}

tbody tr td a:hover {
    text-decoration: underline;
}

tbody tr td:nth-of-type(even) {
    background-color: #bfbfbf;
}

tbody tr td:nth-of-type(odd) {
    background-color: #a1a1a1;
}

.transparent-row td {
    border: 0 !important;
    border-bottom-color: transparent !important;
    background-color: transparent !important;
}

.usbc23 .tournament-bracket--rounded .r16 .tournament-bracket__item::after,
.usbc23 .tournament-bracket--rounded .sf .tournament-bracket__item::after {
    border-top-right-radius: .6em;
    top: 50%;
    border-top: 2px solid #9e9e9e;
    transform: translateY(-1px);
    border-bottom: 0;
    border-bottom-right-radius: 0;
    height: 40%;
}

.usbc23 .tournament-bracket--rounded .r16 .tournament-bracket__item:nth-child(even)::after {
    border-top-right-radius: 0;
    top: 8%;
    border-top: 0;
    transform: translateY(-1px);
    border-bottom: 2px solid #9e9e9e;
    border-bottom-right-radius: .6em;
    height: 43%;
}

.usbc23 .tournament-bracket--rounded .sf .tournament-bracket__item::after {
    height: 31%;
}

.usbc23 .tournament-bracket--rounded .sf .tournament-bracket__item:nth-child(even)::after {
    border-top-right-radius: 0;
    top: 11.5%;
    border-top: 0;
    transform: translateY(-1px);
    border-bottom: 2px solid #9e9e9e;
    border-bottom-right-radius: .6em;
    height: 39%;
}

.usbc23 .tournament-bracket--rounded .qf .tournament-bracket__match::before {
    transform: translate(1px, 1px);
}

.usbc23 .tournament-bracket--rounded .final .tournament-bracket__match::after {
    border-top-left-radius: 12px;
}

.usbc23 .tournament-bracket--rounded .final .tournament-bracket__match::before {
    transform: translate(1px, 1px)
}

.usa2-spec .tournament-bracket__item.sf:after {
    height: 25%;
}

.usa2-spec .tournament-bracket__item.final .tournament-bracket__match:after {
    display: none;
}

@media(max-width:72em) {

    .usbc23 .tournament-bracket--rounded .qf .tournament-bracket__match::before,
    .usbc23 .tournament-bracket--rounded .final .tournament-bracket__match::before {
        transform: translate(0px, 0px);
    }
}

@media(max-width:733px) {
    .tournament-bracket--rounded .tournament-bracket__item:nth-child(odd)::after {
        border-right: 0;
        border-top: 0;
    }

    .tournament-bracket--rounded .tournament-bracket__item:nth-child(even)::after {
        border-right: 0;
        border-bottom: 0;
        display: none;
    }

    .tournament-bracket__match::before {
        border-left: 0;
        border-bottom: 0;
    }

    .tournament-bracket__match::after {
        border-left: 0;
        border-top: 0;
    }

    .tournament-bracket__item {
        padding: .5em 0;
    }

    .usbc23 .tournament-bracket--rounded .r16 .tournament-bracket__item::after,
    .usbc23 .tournament-bracket--rounded .sf .tournament-bracket__item::after {
        border-top: 0;
    }

    .total {
        right: 0;
    }
}

@media(max-width: 576px) {

    .usbc-text {
        font-size: 15px;
    }

    .usbc-date:first-of-type,
    .usbc-date:nth-of-type(2) {
        bottom: 0;
    }

    .usbc-btn:not(.usbc-btn-red) {
        font-size: 9px;
    }
}

@media(min-width:576px) and (max-width: 1024px) {

    .usbc-date:first-of-type,
    .usbc-date:nth-of-type(2) {
        font-size: 2vw;
        bottom: -7px;
    }
}

.usbc-h-2rem {
    height: 2rem;
}

.usbc-py-2-5-rem {
    padding: 2.5rem !important;
}

.usbc-header {
    background-color: #2f4059;
    color: #ffffff;
}

.usbf-logo {
    margin: 15px;
    max-width: 150px;
    border: 3px solid #ffffff;
}

.usbc-header h1, .usbc-header h3 {
    font-weight: 800;
}

.usbc-header .separator {
    width: 1.5px;
    height: 65%;
    background-color: #ffffff;
}

.usbc-card {
    position:relative !important;
    padding-top: 5px;
    padding-bottom: 5px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23) !important;
    transition: box-shadow ease-in-out .2s;

}

.usbc-card:before {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70px;
    height: 100%;
    background-color: rgba(255, 255, 255, .3);
    background-position: center top;
    background-repeat: repeat-y;
    background-size: 30px;
    content: '';
}

.usbc-card:hover {
    box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23) !important;
}

.open-card {
    background-color: #f0893f;
    position:relative;
}

.open-card:before {
    background-image: url(../img/diamond.svg);
}

.mixed-card {
    background-color: #000000
}

.mixed-card:before {
    background-image: url(../img/spade.svg);
}

.senior-card {
    background-color: #be4534
}

.senior-card:before {
    background-image: url(../img/heart.svg);
}

.women-card {
    background-color: #208650
}

.women-card:before {
    background-image: url(../img/club.svg);
}

.usbc-modal-header {
    background-color: #354d72;
}

.table-dark.custom {
    --bs-table-bg: #02475E !important;
}

.custom thead,
.custom tfoot{
    border-color: transparent !important
}

.custom tfoot tr th {
    border-bottom-right-radius: 15px;
    border: 0;
    padding-left: 5px !important;
    font-size: 16px;
}

.card-title.custom {
    background-color: #ffffff;
    color: #06357a;
    font-weight: 800;
    font-size: 20px;
}

.team {
    text-align: left;
}

.hide-bracket:before,
.hide-bracket:after {
    display:none;
}

.fixed-height-item {
    height: 164.44px;
}

.clickable-row { cursor: pointer }

.soon-logo {
    filter: drop-shadow(2px 4px 42px #000000);
    opacity: .2;
    position: relative;
    top: 35px;
}

.soon-text {
    z-index: 2;
}

table tbody tr td.correction-cell {
    background-color: #b0d2e1;
    display: none;
}

.usbc24 {
    margin-bottom: 40px;
}
